# $Id$
# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-zabbix-agent
%define version 0.1
%define release 21
Summary: sme server integration of zabbix agent
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.zabbix.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0:		smeserver-zabbix-agent-0.1-hostname.patch
Patch1: 	smeserver-zabbix-agent-0.1-template_rename.patch
Patch2: 	smeserver-zabbix-agent-0.1-userparam_ext_ip.patch
Patch3: 	smeserver-zabbix-agent-0.1-userparam_ups.patch
Patch4: 	smeserver-zabbix-agent-0.1-userparam_mysql.patch
Patch5: 	smeserver-zabbix-agent-0.1-userparam_usedMem.patch
Patch6: 	smeserver-zabbix-agent-0.1-userparam_usedMem_brackets.patch
Patch7: 	smeserver-zabbix-agent-0.1-userparam_usedMem_key.patch
Patch8: 	smeserver-zabbix-agent-0.1-userparam_usedMem_Used.patch
Patch9: 	smeserver-zabbix-agent-0.1-userparam_usedMem_Used2.patch
Patch10: 	smeserver-zabbix-agent-0.1-userparam_MemStats.patch
Patch11:	smeserver-zabbix-agent-0.1-userparam_MemStatsTypo.patch
Patch12:	smeserver-zabbix-agent-0.1-userparam_Swap.patch
Patch13:	smeserver-zabbix-agent-0.1-userparam_Swap_key.patch
Patch14:	smeserver-zabbix-agent-0.1-userparam_removeUselessMemStats.patch
Patch15:	smeserver-zabbix-agent-0.1-userparam_pusedMem.patch
Patch16:	smeserver-zabbix-agent-0.1-userparam_upsCharge.patch
Patch17:	smeserver-zabbix-agent-0.1-disable_passive_mode.patch
Patch18:	smeserver-zabbix-agent-0.1-mail_in_stats.patch
Patch19:	smeserver-zabbix-agent-0.1-event_zabbix_agent_update.patch
Patch20:	smeserver-zabbix-agent-0.1-mail_in_stats_other_denied.patch
Patch21:	smeserver-zabbix-agent-0.1-fix_expand_sudoers.patch
Patch22:	smeserver-zabbix-agent-0.1-mail_out_stats.patch
Patch23:	smeserver-zabbix-agent-0.1-mail_out_stats_typo.patch
Patch24:	smeserver-zabbix-agent-0.1-mail_out_stats_ignore_local.patch
Patch25:	smeserver-zabbix-agent-0.1-net_stats.patch
Patch26:	smeserver-zabbix-agent-0.1-userparam_mysql_size.patch
Patch27:	smeserver-zabbix-agent-0.1-adjust_masq.patch
Patch28:	smeserver-zabbix-agent-0.1-timeout_comment.patch
Patch29:	smeserver-zabbix-agent-0.1-buffers.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: zabbix-agent
Requires: smeserver-remoteuseraccess
AutoReqProv: no

%description
smserver integration of zabbix agent.
Zabbix is an entreprise-class open source distributed monitoring
solution

%changelog
* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-21
- Add smeserver-remoteuseraccess as a dependencie (sudoer templates issue)

* Mon Mar 02 2009 Daniel B. <daniel@firewall-services.com> 0.1-20
- Adjust masq service on zabbix-agent-update event
- Add description of Timout directive
- Add BufferSend and BufferSize directive to optimize
  agent <-> server communication

* Sun Mar 01 2009 Daniel B. <daniel@firewall-services.com> 0.1-19
- Add size of mysql data (mysql.size)

* Fri Feb 20 2009 Daniel B. <daniel@firewall-services.com> 0.1-18
- Add stats for InternalInterface and ExternalInterface

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-17
- Ignore local delivery from outgoing mail stats

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-16
- Fix a type in mail.out.failure UserParameters

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-15
- Add UserParameters for outhoing mails statistics

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-14
- add missing other_denied UserParameters for mailStats
- Fix expand-template for /etc/sudoers during zabbix-agent-update event

* Tue Feb 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-13
- Add incoming mails statistics
- Rename signal-event to zabbix-agent-update (to prevent a conflict on
  sudoers files which needs to be expanded for server and agent)

* Wed Feb 11 2009 Daniel B. <daniel@firewall-services.com> 0.1-12
- Remove Useless buffers and cache mem
- Add vm.memory.size.pused (used memory in %)
- Add ups.battery.charge for ups
- Added "passive" db parameter
- default access is private

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-11
- Fix permissions on mysqladmin_status script

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-10
- Change used swap key

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-9
- Added userparameters for used swap space used in bytes

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-8
- Correct a type in memory statistics (for cached memory)

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-7
- Report also free, buffers and cached mem so stats are more accurate

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-6
- substract cache/buffer from used mem

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-5
- Change key name for used memory
- Report Used mem instead of total

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-4
- Escape brackets in template

* Tue Feb 10 2009 Daniel B. <daniel@firewall-services.com> 0.1-3
- Add UserParameters to repport amount of used memory

* Mon Feb 9 2009 Daniel B. <daniel@firewall-services.com> 0.1-2
- Add UserParameters to monitor real external IP, UPS status,
  mysql stats

* Fri Feb 6 2009 Daniel B. <daniel@firewall-services.com> 0.1-1
- add Hostname directive in zabbix_agentd.conf

* Mon Feb 04 2009 Daniel B. <daniel@firewall-services.com> 0.1-0
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1

%build
perl ./createlinks
%{__mkdir_p} root/var/lib/zabbix/tmp/{smelog,qmail}


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /var/lib/zabbix/bin/mysqladmin_status 'attr(0750,root,zabbix)' \
	--file /var/lib/zabbix/bin/logtail.pl 'attr(0755,root,zabbix)' \
	--file /var/lib/zabbix/bin/parse_mail_in.pl 'attr(0755,root,zabbix)' \
	--file /var/lib/zabbix/bin/parse_mail_out.pl 'attr(0755,root,zabbix)' \
	--file /var/lib/zabbix/bin/mail_in.sh 'attr(0755,root,zabbix)' \
	--file /var/lib/zabbix/bin/mail_out.sh 'attr(0755,root,zabbix)' \
	--dir /var/lib/zabbix/tmp 'attr(0755,zabbix,zabbix)' \
	--dir /var/lib/zabbix/tmp/smelog 'attr(0770,zabbix,smelog)' \
	--dir /var/lib/zabbix/tmp/qmail 'attr(0770,zabbix,nofiles)' \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop zabbix-agent status disabled
 /etc/init.d/zabbix-agent stop
fi

true
